#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QStatusBar>
#include <QProcess>
#include <QTcpSocket>

namespace Ui {
    class Dialog;
}

class Dialog : public QDialog {
    Q_OBJECT
public:
    Dialog(QWidget *parent = 0);
    ~Dialog();

protected:
    void changeEvent(QEvent *e);
    QStatusBar *statusBar;

private:
    bool check_root();
    bool check_arp_scan();
    QProcess *ScanProcess;
    Ui::Dialog *ui;

    void test_ip(const QString &ip);

private slots:
    void on_ScanButton_clicked();
    void On_Scan_Output();
    void On_Scan_Error();
    void On_Scan_Finished(int);

    void On_Test_Result(const QString &, quint16, bool);
};

#endif // DIALOG_H
